WordPress.org

Ready to get started?Download WordPress

Forums

[closed] ERROR: WordPress 2.9 requires MySQL 4.1.2 or higher (19 posts)

  1. erwin33
    Member
    Posted 4 years ago #

    I try to install WordPress 2.9 automaticly but I have: ERROR: WordPress 2.9 requires MySQL 4.1.2 or higher What's that? I can't see my dashboard so I can't do nothing anymore. Help!!
    How can I take it back to 2.8.6?

  2. Denis de Bernardy
    Member
    Posted 4 years ago #

    firstly, tell your host that it sucks and that it should update mysql to something that isn't almost 10 years old.

    next, manually re-uploaded 2.8.6 on your site. (the database shouldn't have been upgraded because of the same error, so you should be fine.)

  3. akwhitacre
    Member
    Posted 4 years ago #

    Dealing with the same problem, so about to go back to 2.8.6. But Denis-de-Bernardy, it's not necessary the host's issue. I've been managing my blog for nearly five years, starting back when MySQL 4.0 was the norm. I never had a problem until using WP Automatic Upgrade last night and was told halfway through the update that I needed 4.1.2+.

  4. lupi73
    Member
    Posted 4 years ago #

    same message, I'm at OVH, my database is MySQL 5.0.51a

  5. erwin33
    Member
    Posted 4 years ago #

    Ok, solved. I'm back to 2.8.6 without any problems. I uploaded again manualy. Strange that I have problems with MySQL. I have no problems with all the other upgrades. 2.9 is the first upgrade I have problems.
    My hosting provider runs MySQL 4.0.24 Standard. So they must upgrade to 4.1.2.??

  6. mgalib
    Member
    Posted 4 years ago #

    I had the same problem. I restored it to 2.8.6 without problem. Does this mean that I really need MySQL 4.1.2 or does it mean that I have to do a manual upgrade ?

  7. ClaytonJames
    Member
    Posted 4 years ago #

    Version 2.9

    Highlights

    * Requires MySQL 4.1.2 or greater (old requirement was 4.0).

  8. paulroberts
    Member
    Posted 4 years ago #

    so should i go to mysql 5, to do this i have to delete the database and make another one as it's on a different server, how long till WP3.0 hits as i'd rather go to an MU install and do it all at once.

  9. alism
    Member
    Posted 4 years ago #

    3.0 is penciled in for around March-June time I believe.

  10. webtiva
    Member
    Posted 4 years ago #

    Ask your hosting service to upgrade the MySQL version, because you guy are now stucked on 2.8.6 wp version.

  11. jaireaux
    Member
    Posted 4 years ago #


  12. doncampbell
    Member
    Posted 4 years ago #

    I had this same problem on 1and1. I ended up creating a new MySQL 5.0 db, exporting my old db, importing to the new one, and then changing my wp-config to point to the new database.

    Here's the step by step how to do it - What I learned upgrading to WordPress 2.9

    Too bad WP Automatic Upgrade doesn't check the DB version before taking you 90% through the install...

  13. Wes
    Member
    Posted 4 years ago #

    I'm having the same issue and having no luck whatsoever with the export/import creation of a new 5.0 database on 1and1. I keep getting either "no mysql query" or "no tables in database" error messages after the import -- very frustrating.

    That said, my old WP install still seems to be working fine despite the failed update attempt.

  14. Wes
    Member
    Posted 4 years ago #

    Okay, I just got it working... given all of the errors I got with exported databases from myphpadmin, I recommend using the WordPress backups.

  15. wordshine
    Member
    Posted 4 years ago #

    I've just upgraded manually (because the automatic upgrade fell over) to 2.9.1. However WordPress refuses to do an "upgrade" because it "requires" MySQL version 4.1.2 or higher and my provider is running "only" version 4.0.27!

    I strongly suggest you mention this requirement on the download pages. Then one wouldn't begin the process until it was provided. But without that essential piece of information I've now spent a long time on a manual install only to be worse off than I was before!

    Brilliant product, chaps, but this is a teensy problem.

    How do I put 2.8.6 back, when it's not available on the download page? The last upgrade was an automatic one so I didn't get the download.

    Where will I find it or what should I do? I cannot write posts, approve comments or anything. Please help.

    Thanks.

    Richard Treadgold
    http://www.climateconversation.wordshine.co.nz

  16. MtnBikerSoCal
    Member
    Posted 4 years ago #

    @doncampbell.

    Thank you for the upgrade steps. I'm proceeding now. I'm waiting for my installation to be downloaded to my computer, just to be sure (although a bit late).

    I think the database created by WordPress admin has the things removed that you had to remove.

    I hope the WordPress team has gotten the word that there is a problem with this upgrade.

  17. plz.help.me
    Member
    Posted 4 years ago #

    The reason they are doing they are making the required version for MySQL go higher every release is because 4.0 is less secure and more limiting.

    Just in case you guys were wondering.

  18. fitzpatrick512
    Member
    Posted 4 years ago #

    Just ran into the same problem.

    Unbelievable a "hosting company" would still be running a version of MYSQL from 2004!

    Anyways, here's where you can download older versions of WP:

    http://wordpress.org/download/release-archive/

  19. mrmist
    Forum Janitor
    Posted 4 years ago #

    If you're wanting to continue using wordpress then the solution is rarely to go back to an older version, otherwise you'll be stuck there and will become subject to potential future hacks.
    Better to ask your hosts to upgrade their software to modern versions. Be aware that major releases of WordPress in the future will require php 5.2 as well as updated mysql.
    If your hosts refuses to offer up to date system software, the best thing might be to vote with your feet.
    Finally, I think it's probably time to close this ancient thread.

Topic Closed

This topic has been closed to new replies.

About this Topic

Tags

No tags yet.